### Constructor

# Adw Breakpointnew

since: 1.4

#### Declaration [src]

    AdwBreakpoint*
    adw_breakpoint_new (
      AdwBreakpointCondition* condition
    )

#### Description [src]

Creates a new `AdwBreakpoint` with `condition`.

Available since: 1.4

#### Parameters

`condition`

  Type: `AdwBreakpointCondition`

  The condition.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `AdwBreakpoint`

The newly created `AdwBreakpoint`

The caller of the function takes ownership of the data, and is responsible for freeing it.